# Dataset$version

### Dataset$<mark style="color:purple;">version</mark>(tag) → [Version](broken://pages/caYLih4mldc0Fk30YHLN)

Create a reference to a particular version within a dataset. The version class is useful for getting version metadata and traversing versions. However, if you want to get a dataset's contents at a particular version, construct the dataset with the version tag; e.g. `user|organization$dataset(name, tag="1.0")`.

### **Parameters:**

**`tag` :&#x20;*****str*** \
The tag for the version, either `current` , `next`, or of the form `1.0`. If no tag is specified, returns the version associated with the dataset instance.

### **Returns:**

[**Version**](broken://pages/caYLih4mldc0Fk30YHLN)

### Examples

```r
dataset <- redivis$organization("demo")$dataset("ghcn_daily_weather_data")

version <- dataset$version("1.0")
print(version$get()$properties)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdversion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
